# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2018-10-18 18:46
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('data', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AdvertisingPicture',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('picture_name', models.CharField(max_length=24, verbose_name='Picture name')),
                ('picture_file', models.FileField(upload_to='advertising_pictures', verbose_name='Picture file')),
                ('area', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='data.Area')),
            ],
            options={
                'verbose_name': 'Advertisement Picture',
                'verbose_name_plural': 'Advertising Pictures',
                'db_table': 'advertising_picture',
                'permissions': (('advertising_picture_delete', 'Delete'),),
            },
        ),
        migrations.CreateModel(
            name='Iclock',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('sn', models.CharField(max_length=20, verbose_name='Serial Number')),
                ('status', models.IntegerField(default=-1, editable=False, verbose_name='Status')),
                ('last_activity', models.DateTimeField(blank=True, default=django.utils.timezone.now, editable=False, null=True, verbose_name='Last activity')),
                ('transfer_time', models.CharField(blank=True, default='00:00;14:05', editable=False, max_length=50, null=True, verbose_name='Transfer time')),
                ('trans_interval', models.IntegerField(default=1, editable=False, verbose_name='Interval')),
                ('alias', models.CharField(max_length=20, verbose_name='Device Name')),
                ('timezone', models.SmallIntegerField(blank=True, choices=[(-12, 'Etc/GMT-12'), (-11, 'Etc/GMT-11'), (-10, 'Etc/GMT-10'), (-9, 'Etc/GMT-9'), (-8, 'Etc/GMT-8'), (-7, 'Etc/GMT-7'), (-6, 'Etc/GMT-6'), (-5, 'Etc/GMT-5'), (-270, 'Etc/GMT-4:30'), (-4, 'Etc/GMT-4'), (-210, 'Etc/GMT-3:30'), (-3, 'Etc/GMT-3'), (-2, 'Etc/GMT-2'), (-1, 'Etc/GMT-1'), (14, 'Etc/GMT'), (1, 'Etc/GMT+1'), (2, 'Etc/GMT+2'), (3, 'Etc/GMT+3'), (210, 'Etc/GMT+3:30'), (4, 'Etc/GMT+4'), (270, 'Etc/GMT+4:30'), (5, 'Etc/GMT+5'), (330, 'Etc/GMT+5:30'), (345, 'Etc/GMT+5:45'), (6, 'Etc/GMT+6'), (390, 'Etc/GMT+6:30'), (7, 'Etc/GMT+7'), (8, 'Etc/GMT+8'), (9, 'Etc/GMT+9'), (570, 'Etc/GMT+9:30'), (10, 'Etc/GMT+10'), (11, 'Etc/GMT+11'), (12, 'Etc/GMT+12'), (13, 'Etc/GMT+13')], null=True, verbose_name='Time Zone')),
                ('is_master_device', models.CharField(choices=[('1111111111', 'YES'), ('1110000000', 'NO')], default='1110000000', max_length=10, verbose_name='As Register Device')),
                ('clear_old_data', models.SmallIntegerField(choices=[(0, 'NO'), (1, 'YES')], default=0, verbose_name='Clear Data')),
                ('fw_version', models.CharField(blank=True, editable=False, max_length=30, null=True, verbose_name='FW version')),
                ('finger_count', models.IntegerField(blank=True, editable=False, null=True, verbose_name='FP count')),
                ('transaction_count', models.IntegerField(blank=True, editable=False, null=True, verbose_name='Transaction count')),
                ('user_count', models.IntegerField(blank=True, editable=False, null=True, verbose_name='User count')),
                ('face_count', models.IntegerField(blank=True, editable=False, null=True, verbose_name='Face count')),
                ('palm_count', models.IntegerField(blank=True, editable=False, null=True, verbose_name='Palm count')),
                ('max_finger_count', models.IntegerField(blank=True, editable=False, null=True, verbose_name='MaxFingerCount')),
                ('max_attlog_count', models.IntegerField(blank=True, editable=False, null=True, verbose_name='MaxAttLogCount')),
                ('device_name', models.CharField(blank=True, editable=False, max_length=30, null=True, verbose_name='Device name')),
                ('language', models.CharField(blank=True, editable=False, max_length=30, null=True, verbose_name='Language')),
                ('ip_address', models.CharField(blank=True, editable=False, max_length=20, null=True, verbose_name='Ip address')),
                ('platform', models.CharField(blank=True, editable=False, max_length=20, null=True, verbose_name='Platform')),
                ('oem_vendor', models.CharField(blank=True, editable=False, max_length=30, null=True, verbose_name='OEM vendor')),
                ('finger_version', models.CharField(blank=True, editable=False, max_length=10, null=True)),
                ('face_version', models.CharField(blank=True, default=0.0, editable=False, max_length=10, null=True)),
                ('face_reg', models.CharField(blank=True, default=0.0, editable=False, max_length=10, null=True)),
                ('push_version', models.CharField(blank=True, default='', editable=False, max_length=30, null=True)),
                ('bio_version', models.CharField(blank=True, default=0.0, editable=False, max_length=30, null=True)),
                ('last_alert_time', models.DateTimeField(blank=True, default=django.utils.timezone.now, editable=False, null=True, verbose_name='Last alert time')),
                ('area', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='data.Area')),
            ],
            options={
                'verbose_name': 'Device',
                'verbose_name_plural': 'Device',
                'db_table': 'iclock',
                'permissions': (('iclock_delete', 'Delete'), ('iclock_reboot', 'Reboot Device'), ('iclock_reload_all_data', 'Upload All Data'), ('iclock_reload_emp_data', 'Upload Personnel'), ('iclock_reload_trans_data', 'Upload Transaction'), ('iclock_reload_new_data', 'Upload New Data'), ('iclock_sync_emp_data', 'Sync Personnel To Device'), ('iclock_sync_workcode', 'Sync Workcode To Device'), ('iclock_clear_all_data', 'Clear All Data'), ('iclock_clear_photo_data', 'Clear Device Photo'), ('iclock_clear_trans_data', 'Clear Device Transaction'), ('iclock_refresh_info', 'Refresh Device')),
            },
        ),
        migrations.CreateModel(
            name='Workcode',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('work_code', models.IntegerField(verbose_name='Code')),
                ('work_name', models.CharField(max_length=24, verbose_name='Name')),
                ('area', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='data.Area')),
            ],
            options={
                'verbose_name': 'Work Code',
                'verbose_name_plural': 'Work Code',
                'db_table': 'workcode',
                'permissions': (('workcode_delete', 'Delete'),),
            },
        ),
    ]
